commit:     f9b01dc8c1806ee818a39edf8a068a54e1e7caa1
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 15 08:15:15 2017 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Wed Mar 15 08:15:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9b01dc8

app-editors/emacs-vcs: Call autogen.sh unconditionally.

It will not only be needed for live versions, but for snapshots too.
Add explicit ./autogen.sh path.

Package-Manager: Portage-2.3.4, Repoman-2.3.2

 app-editors/emacs-vcs/emacs-vcs-26.0.9999.ebuild | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/app-editors/emacs-vcs/emacs-vcs-26.0.9999.ebuild 
b/app-editors/emacs-vcs/emacs-vcs-26.0.9999.ebuild
index ef85072615b..efb82a521ff 100644
--- a/app-editors/emacs-vcs/emacs-vcs-26.0.9999.ebuild
+++ b/app-editors/emacs-vcs/emacs-vcs-26.0.9999.ebuild
@@ -112,9 +112,6 @@ src_prepare() {
                einfo "Emacs version number: ${FULL_VERSION}"
                [[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
                        || die "Upstream version number changed to 
${FULL_VERSION}"
-
-               #605400
-               bash -c 'autoreconf() { :; }; . $0 "$@"' autogen.sh --no-check 
|| die
        fi
 
        eapply_user
@@ -123,6 +120,8 @@ src_prepare() {
        sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
                || die "unable to sed ctags.1"
 
+       bash -c 'autoreconf() { echo nope; }; . $0 "$@"' \
+               ./autogen.sh --no-check || die  #605400
        AT_M4DIR=m4 eautoreconf
        touch src/stamp-h.in || die
 }

Reply via email to